[package]
name = "gw-ui"
description = """
Gray Wolf UI library, using either Iced.rs for a graphical or Ratatui for a text based back end.
"""

version = "0.0.1"
edition = "2021"
license = "GPL-3.0-or-later AND GFDL-1.3-or-later"

authors = [
    "Roel Sergeant <rsergeant@panix.com>"
]

[dependencies]
gw-errors = { path = "../gw-errors" }
gw-ui-iced = { path = "../gw-ui-iced", optional = true }
gw-ui-ratatui = { path = "../gw-ui-ratatui", optional = true }

[features]
gui = [ "dep:gw-ui-iced" ]
tui = [ "dep:gw-ui-ratatui" ]
